> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Affiliate Tiers

Retrieve all affiliate tiers for the network. Tiers allow you to group affiliates and apply different payout margins based on their tier assignment.


## OpenAPI

````yaml openapi/affiliate-tiers.yaml get /networks/affiliatetiers
openapi: 3.0.3
info:
  title: Everflow Network API - Affiliate Tiers
  description: >
    Endpoints for managing affiliate (partner) tiers in the Everflow network.
    Partner tiers automatically calculate partner payouts based on defined
    margin goals, streamlining payment management and offer approvals across
    different partner performance levels. For configuration, see the [Partner
    Tiers
    guide](https://helpdesk.everflow.io/customer/partner-tiers-automated-margins).
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Affiliate Tiers
paths:
  /networks/affiliatetiers:
    get:
      tags:
        - Affiliate Tiers
      summary: List Affiliate Tiers
      responses:
        '200':
          description: ''
          content:
            application/json:
              example:
                tiers:
                  - network_affiliate_tier_id: 2
                    network_id: 1
                    name: Gold10
                    status: active
                    description: Top performing partners
                    network_affiliate_ids:
                      - 14
                      - 21
                      - 35
                    payout_margin: 10
                    is_default_tier: false
                    time_created: 1774620705
                    time_saved: 1774620705
              schema:
                type: object
                properties:
                  tiers:
                    type: array
                    description: List of affiliate tiers.
                    items:
                      $ref: '#/components/schemas/AffiliateTier'
      security:
        - API Key: []
components:
  schemas:
    AffiliateTier:
      type: object
      properties:
        network_affiliate_tier_id:
          type: integer
          description: The unique ID of the affiliate tier.
        network_id:
          type: integer
          description: The ID of the network this tier belongs to.
        name:
          type: string
          description: The name of the affiliate tier.
        status:
          type: string
          enum:
            - active
            - paused
            - deleted
          description: >-
            Status of the affiliate tier. Can be one of the following values -
            active, paused or deleted.
        description:
          type: string
          description: Optional description of the affiliate tier.
        network_affiliate_ids:
          type: array
          nullable: true
          items:
            type: integer
          description: IDs of the affiliates assigned to this tier.
        payout_margin:
          type: number
          description: The affiliate's payout margin.
        is_default_tier:
          type: boolean
          description: >-
            Whether or not the affiliate tier will be automatically tied to all
            new partners.
        time_created:
          type: integer
          example: 1734455015
          description: Unix timestamp of creation.
        time_saved:
          type: integer
          example: 1734455015
          description: Unix timestamp of last update.
        relationship:
          type: object
          description: >
            Related data for this affiliate tier. Populate by passing the
            `relationship` query parameter (e.g. `?relationship=all`).
          properties:
            labels:
              type: object
              description: Labels associated with the affiliate tier.
              properties:
                total:
                  type: integer
                  description: Total number of labels.
                entries:
                  type: array
                  nullable: true
                  description: List of label strings.
                  items:
                    type: string
            affiliates:
              type: object
              description: >-
                Affiliates assigned to this tier. Included when using
                `relationship=all`.
              properties:
                total:
                  type: integer
                  description: Total number of affiliates in this tier.
                entries:
                  type: array
                  nullable: true
                  description: List of affiliate objects.
                  items:
                    type: object
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````